Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	QMPDClient, an MPD client written in Qt 4
Name:		qmpdclient
Version:	1.1.3
Release:	1
License:	GNU/GPL 
URL:		http://havtknut.tihlde.org/qmpdclient
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:	libmpd-devel 
BuildRequires:  qt4-devel
BuildRequires:  libX11-devel
Obsoletes:	qmpdclient-ne

%description
QMPDClient, an MPD client written in Qt 4

%prep
%setup -q -n %{name}

%build
PREFIX=%_prefix
sed -i "s#PREFIX[ \t]\{1,\}=.*#PREFIX = $PREFIX#" qmpdclient.pro
qmake-qt4
sed -i "s#lrelease#lrelease-qt4#" Makefile
make

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/qmpdclient
%_applications/qmpdclient.desktop
%_datadir/icons/qmpdclient64.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 23 2010 Stefan Gottwald <gotti@ccux-linux.de> 1.1.3-1
- version update
* Sun Dec 13 2009 Stefan Gottwald <gotti@ccux-linux.de> 1.1.2-1
- version update
- renamed to qmdclient (is now the official new qmpdclient)
* Thu Apr 23 2009 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0-1
- version update to git from 23.04.09 (pre 1.1.0)
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.8-2
- rebuild against new libmpd 0.15.1
* Sat Jul 14 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.8-1
- Version Update
* Tue Feb 20 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.7-1
- Initial Release
